## GcalWeekHeader GcalWeekHeader |

## Functions

void | gcal_week_header_set_manager ()
void | gcal_week_header_set_first_weekday ()
void | gcal_week_header_set_use_24h_format ()
void | gcal_week_header_add_event ()
void | gcal_week_header_remove_event ()
GList * | gcal_week_header_get_children_by_uuid ()
GtkSizeGroup * | gcal_week_header_get_sidebar_size_group ()
void | gcal_week_header_clear_marks ()

## Signals

void | event-activated | Run First

## Types and Values

#define | GCAL_TYPE_WEEK_HEADER
| GcalWeekHeader

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── GcalWeekHeader

## Implemented Interfaces

GcalWeekHeader implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gcal_week_header_set_manager ()

    void
    gcal_week_header_set_manager (GcalWeekHeader *self,
                                  GcalManager *manager);

### gcal_week_header_set_first_weekday ()

    void
    gcal_week_header_set_first_weekday (GcalWeekHeader *self,
                                        gint nr_day);

### gcal_week_header_set_use_24h_format ()

    void
    gcal_week_header_set_use_24h_format (GcalWeekHeader *self,
                                         gboolean use_24h_format);

### gcal_week_header_add_event ()

    void
    gcal_week_header_add_event (GcalWeekHeader *self,
                                GcalEvent *event);

### gcal_week_header_remove_event ()

    void
    gcal_week_header_remove_event (GcalWeekHeader *self,
                                   const gchar *uuid);

### gcal_week_header_get_children_by_uuid ()

    GList *
    gcal_week_header_get_children_by_uuid (GcalWeekHeader *self,
                                           GcalRecurrenceModType mod,
                                           const gchar *uuid);

### gcal_week_header_get_sidebar_size_group ()

    GtkSizeGroup *
    gcal_week_header_get_sidebar_size_group
                                   (GcalWeekHeader *self);

### gcal_week_header_clear_marks ()

    void
    gcal_week_header_clear_marks (GcalWeekHeader *self);

## Types and Values

### GCAL_TYPE_WEEK_HEADER

    #define GCAL_TYPE_WEEK_HEADER (gcal_week_header_get_type())

### GcalWeekHeader

    typedef struct _GcalWeekHeader GcalWeekHeader;

## Signal Details

### The `“event-activated”` signal

    void
    user_function (GcalWeekHeader  *gcalweekheader,
                   GcalEventWidget *arg1,
                   gpointer         user_data)

Flags: Run First